package com.qmth.teachcloud.common.enums;

import java.util.Objects;

/**
 * 考试业务模式
 */
public enum ExamModelEnum {

    MODEL1("电子交卷环节需要提交考务数据"),
    MODEL2("电子交卷环节不需要提交考务数据，只输入印刷份数即可"),
    MODEL3("电子交卷环节不需要提交考务数据");

    private String desc;

    private ExamModelEnum(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        for (ExamModelEnum e : ExamModelEnum.values()) {
            if (Objects.equals(value.trim(), e.getDesc())) {
                return e.name();
            }
        }
        return null;
    }
}
